clear
use "$main\master_raw.dta"

replace pro2 = "Palmoil" if pro2 =="oilpalm"
local eu_members "AUT BEL BGR HRV CYP CZE DNK EST FIN FRA DEU GRC HUN IRL ITA LVA LTU LUX MLT NLD POL PRT ROU SVK SVN ESP SWE"
// Step 2: Generate the binary variable 'eu_member' and initialize it to 0///
gen eu_member = 0
// Step 3: Loop over each EU member code and set 'eu_member' to 1 for matches///
foreach code in `eu_members' {
    replace eu_member = 1 if re_iso3 == "`code'"
}
rename eu_member eu_rep
drop if eu_re==1

local eu_members "AUT BEL BGR HRV CYP CZE DNK EST FIN FRA DEU GRC HUN IRL ITA LVA LTU LUX MLT NLD POL PRT ROU SVK SVN ESP SWE"
// Step 2: Generate the binary variable 'eu_member' and initialize it to 0///
gen eu_member = 0
// Step 3: Loop over each EU member code and set 'eu_member' to 1 for matches///
foreach code in `eu_members' {
    replace eu_member = 1 if pa_iso3 == "`code'"
}
rename eu_member eu_pa
drop if eu_pa==1

merge m:1 pa_iso3 year flowname using "$main\tme.dta"
keep if _m==3
drop _m
merge m:1 pa_iso3 year using "$main\gdp 2018-2023.dta"
keep if _m==3
drop _m

keep if flowname == "Import"
keep if pro1 == "EUDR"
keep if year == 2022

gen to_eu = 1 if re_iso3 == "EU-UK"
replace to_eu = 0 if to_eu!=1

//keep if re_iso3 == "EU-UK"

// ALL EUDR

collapse (sum) value (mean) ttvalue gdp, by(pa_iso3 re_iso3 country pro2 year to_eu)

bysort pa_iso3 pro2: egen total_pro2 = total(value)
gen total_pro2_eu_share = value/total_pro2

bysort re_iso3 pro2: egen eu_pro2 = total(value)
gen eu_pro2_share = value/eu_pro2

keep if to_eu == 1

//collapse (sum) value (mean) ttvalue gdp total_pro2_eu_share, by(pa_iso3 country pro2 year)
bysort pa_iso3: egen total_eudr = total(value)
gen share = value / total_eudr

gen ec_ex = total_eudr/gdp
gen se_ex = total_eudr/ttvalue

gen ec_ex_ = share * ec_ex
gen se_ex_ = share * se_ex

drop value ttvalue share year total_pro2 eu_pro2

reshape wide ec_ex_ se_ex_ total_pro2_eu_share eu_pro2_share, i(pa_iso3 country se_ex ec_ex gdp) j(pro2) string
collapse (sum) ec_ex_* se_ex_* total_pro2_eu_share* eu_pro2_share* (mean) gdp total_eudr se_ex ec_ex, by(pa_iso3 country)

keep if total_eudr >= 1000