// DATASET
clear
use "$main\master_dup.dta"
keep if year == 2022
keep if pro1 == "EUDR"
keep if eu_member == 0

gen ec_ex = value2/gdp
gen se_ex = value2/ttvalue

preserve
collapse (sum) value2 gdp ttvalue, by(region)
gen level = "Region total"
gen ec_ex = value2/gdp
gen se_ex = value2/ttvalue
save regions_total, replace

restore

gen sort = -ec_ex
keep if value2 >= 1000

bysort region (sort): gen rank = _n
keep if rank <=2
gen level = "Country"
save top_countries, replace
use regions_total, clear
append using top_countries

replace country = "EAP" if country == "" & region == "East Asia & Pacific"
replace country = "ECA" if country == "" & region == "Europe & Central Asia"
replace country = "LAC" if country == "" & region == "Latin America & Caribbean"
replace country = "MENA" if country == "" & region == "Middle East & North Africa"
replace country = "NA" if country == "" & region == "North America"
replace country = "SAR" if country == "" & region == "South Asia"
replace country = "SSA" if country == "" & region == "Sub-Saharan Africa"

drop if region == "North America"
