// FIGURE FOR COCOA

keep if ec_ex_Cocoa*gdp >= 1000

gsort -total_pro2_eu_shareCocoa  // Sort descending
gen rank = _n
keep if rank <= 10

//gen x = -ec_ex_Cocoa 

gen country_m_label = country + " (" + string(round(ec_ex_Cocoa*gdp/1000), "%9.0fc") + "M)"

gsort -total_pro2_eu_shareCocoa  // Sort descending
gen xnum = _n  // Now xnum=1 is the country with highest bar
labmask xnum, values(country_m_label)

twoway ///
    (bar total_pro2_eu_shareCocoa xnum, barwidth(0.8) yaxis(1) color(forest_green)) ///
    (scatter eu_pro2_shareCocoa xnum, yaxis(2) msymbol(O) mcolor(maroon)), ///
        ytitle("Cocoa exports: EU share (bars)", axis(1) size (small)) ///
        ytitle("EU imports: country share (dots)", axis(2) size (small)) ///
        xtitle("Country (Cocoa exports to the EU, M)", size (small)) ///
        legend(order(1 "Cocoa exports to the EU over total cocoa exports (LHS)" 2 "EU cocoa imports from country over total cocoa imports (RHS)") position(6) size (small) cols(1)) ///
		ylabel(0(.2)1) ///
		xlabel(1/`=_N', valuelabel labsize(small) angle(vertical))

graph export "${path}/Output/Figure4.png", replace