// FIGURE FOR COFFEE

gsort -ec_ex_Coffee  // Sort descending
gen rank = _n
keep if rank <= 10

gen x = -ec_ex_Coffee 

gen country_m_label = country + " (" + string(round(ec_ex_Coffee*gdp/1000), "%9.0fc") + "M)"

gsort -ec_ex_Coffee  // Sort descending
gen xnum = _n  // Now xnum=1 is the country with highest bar
labmask xnum, values(country_m_label)

twoway ///
    (bar ec_ex_Coffee xnum, barwidth(0.8) yaxis(1) color(forest_green)) ///
    (scatter se_ex_Coffee xnum, yaxis(2) msymbol(O) mcolor(maroon)), ///
        ytitle("Share of GDP (bars)", axis(1) size (small)) ///
        ytitle("Share of total exports (dots)", axis(2) size (small)) ///
        xtitle("Country (Coffee exports to the EU, M)", size (small)) ///
        legend(order(1 "Coffee exports to the EU over GDP (LHS)" 2 "Coffee exports to the EU over total exports (RHS)") position(6) size (small) cols(2)) ///
		xlabel(1/`=_N', valuelabel labsize(small) angle(vertical))

graph export "${path}/Output/Figure3.png", replace