// FIGURE BY PRODUCT

gsort -ec_ex  // Sort descending
gen rank = _n
keep if rank <= 10

gen x = -ec_ex 

gen country_m_label = country + " (" + string(round(total_eudr/1000), "%9.0fc") + "M)"

gen xtitle = "Country (EUDR exports to the EU, M)"

graph bar ec_ex_Cattle ec_ex_Cocoa ec_ex_Coffee ec_ex_Palmoil ec_ex_Rubber ec_ex_Soy ec_ex_Wood, over (country_m_label, sort(x) label(labsize(small) angle(vertical))) stack legend(order(1 "Cattle" 2 "Cocoa" 3 "Coffee" 4 "Palmoil" 5 "Rubber" 6 "Soy" 7 "Wood") position(6) size (small) cols(7)) over (xtitle, label(labsize(small))) ytitle("EUDR exports to the EU over GDP", size (small)) 

graph export "${path}/Output/Figure2.png", replace